EMAILRELAY-SUBMIT(1)

NAME
emailrelay-submit - a submission utility for emailrelay

SYNOPSIS
emailrelay-submit [--help] [--verbose] [--spool-dir spool-directory] [--from from-address] to-address [to-address ...]

DESCRIPTION
emailrelay-submit is a utility which reads an RFC-822 e-mail message from the standard input, with SMTP envelope recipient addresses passed on the command-line, and writes it into the E-MailRelay spool directory.

The verbose option causes the path of the new content file to be printed.

OPTIONS

-f, --from <name>
    Sets the envelope 'from' address.

-h, --help
    Shows help text and exits.

-s, --spool-dir <dir>
    Specifies the spool directory.

-v, --verbose
    Prints the full path of the content file.

-d, --content-date
    Adds a Date: content header if there is none.

-F, --content-from
    Adds the envelope 'from' addresses as a From: content header.

-t, --content-to
    Adds the envelope 'to' addresses as To: content headers.

-c, --copy
    Copies the envelope file into all sub-directories of the main spool directory.

-n, --filename
    Prints the name of the content file.

-V, --version
    Prints the version number and exits.

-a, --auth <name>
    Sets the authentication value in the envelope file.

-C, --content <base64>
    Sets a line of content. This can be a header line, a blank line or a line of the body text. The first blank line separates headers from the body. The option value should be base64 encoded.

-i, --from-auth-in <name>
    Sets the 'from-auth-in' value in the envelope file.

-o, --from-auth-out <name>
    Sets the 'from-auth-out' value in the envelope file.

-N, --no-stdin
    Ignores the standard-input. Typically used with --content.

SEE ALSO
emailrelay(1), emailrelay-passwd(1)

AUTHOR
Graeme Walker, mailto:graeme_walker@users.sourceforge.net